Page MenuHomePhabricator

[EPIC] AMC - Opting in
Closed, ResolvedPublic

Description

Opting in functionality

  • Users will opt into the feature set by selecting the option from their mobile Setting page
  • The feature will be available as a separate setting (not a part of beta)
  • If a user switches to another language wiki within their session, advanced mode will remain on

See full mockups and workflow here

  • Nice to have: The feature will be available for all users (anon and logged-in)

Instrumentation

Questions we want to answer:

  • Do users find advanced mode helpful for their daily work? (proxied by retention)

Metric

  • Retention rate for opt-in advanced mobile mode amongst medium and high-volume editors (100+ edits previous month): At least 60% retention (via instrumenting opt-in/opt-out button to advanced mode)
  • Retention rate for opt-in advanced mobile mode amongst all users

Event Timeline

ovasileva triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2018, 8:09 PM
ovasileva updated the task description. (Show Details)Dec 4 2018, 5:30 PM
ovasileva updated the task description. (Show Details)Dec 4 2018, 5:32 PM
Niedzielski added a subscriber: Niedzielski.EditedJan 3 2019, 5:49 PM

For the desktop presentation in the mocks, we currently present the following "mobile" options when MFEnableMobilePreferences is active:

This setting is currently disabled on prod.

Edit: also, preferences are only available to logged in users.

Niedzielski added a comment.EditedJan 3 2019, 7:06 PM

Note: we're not planning to support the logged out case as part of this task.

Edit: so these are the configuration modes we need to add:

  • Logged in client Minerva
  • Logged in server Minerva
  • Logged in server Desktop

These are the old modes we need to maintain and test:

  • Logged out client Minerva
  • Logged out server Minerva

Edit: the matrix of supported configurations for AMC functionality in general is therefore:

  • Logged in enabled client Minerva
  • Logged in enabled server Minerva

And the supported configurations to maintain the old configuration for is:

  • Logged in disabled client Minerva
  • Logged in disabled server Minerva
  • Logged out client Minerva
  • Logged out server Minerva

The worst case would be six different presentations for a given feature. However, some features, for example, talk tabs, only present differently on AMC state, not login state specifically. That is, logged in disabled client Minerva and logged out client Minerva are identical as are logged in disabled server Minerva and logged out disabled server Minerva. This means only four different presentations would be required. If only client support is needed, this drops the number of presentations down to two.

@alexhollender I see you revised the mock to:


@alexhollender his is big scope creep soI've reverted to old mock - it was causing confusion and I want to keep us focused on getting the switch in.

So let's talk about this here...
I see two separate tasks here in this mock:

  1. informational overlay
  2. feedback links

Let's create tasks for both of those (cc @ovasileva )
Also are we sure we want feedback links given the problems we had before (see T187712 )

@alexhollender I see you revised the mock to:


@alexhollender his is big scope creep soI've reverted to old mock - it was causing confusion and I want to keep us focused on getting the switch in.

So let's talk about this here...
I see two separate tasks here in this mock:

  1. informational overlay
  2. feedback links Let's create tasks for both of those (cc @ovasileva ) Also are we sure we want feedback links given the problems we had before (see T187712 )

Given that these will be just for logged-in users, I am less worried about adding a feedback link here. However, I do agree that this should be a separate task. I also had a couple of questions on the timeline - @alexhollender - let's discuss tomorrow.

@ovasileva is this epic still current? It seems done to me.

ovasileva closed this task as Resolved.
ovasileva claimed this task.

@ovasileva is this epic still current? It seems done to me.

Resolving. Moved all remaining subtasks as subtasks of the main goal.